/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.ambitos;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena un objeto ámbito en el ámbito 'request'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AmbitoBO ambitoBO = null;
		String idAmbito = null; 
		AmbitoDTO ambito = null;

	    // Bean "parametros"
	    idAmbito = request.getParameter(Ctes.ID_AMBITO);
	    request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_AMBITO + "=" + idAmbito));
			
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar el ámbito
		ambitoBO = new AmbitoBO(ds);
		ambito = ambitoBO.recuperarAmbito(idAmbito);
		request.setAttribute(Ctes.AMBITO,ambito);

		return mapping.findForward(Ctes.EXITO);
}

}

