/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.ambitos;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina un ámbito de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AmbitoBO ambitoBO = null;
		String idAmbito;
		
		// Recuperar el parámetro idAmbito
	    idAmbito = request.getParameter(Ctes.ID_AMBITO);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar el ámbito
		ambitoBO = new AmbitoBO(ds);
		ambitoBO.eliminarAmbito(idAmbito);

		return mapping.findForward(Ctes.EXITO);
}

}


