/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.ambitos;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena una colección con todos los ámbitos en
 * el ámbito 'request'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AmbitoBO ambitoBO = null;
		Collection lista = null;
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la lista de ámbitos
		ambitoBO = new AmbitoBO(ds);
		lista = ambitoBO.listaAmbitos();
		request.setAttribute(Ctes.LISTA_AMBITOS, lista);

		return mapping.findForward(Ctes.EXITO);
}

}

