/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena todos los objetos necesarios para poder
 * editar un código.   
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		CodigoBO codigoBO = null;
		String idCodigo = null; 
		CodigoDTO codigo = null;
		Collection lista = null;
		AmbitoBO ambitoBO = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		
		/// Recuperar parámetros
		idCodigo = request.getParameter(Ctes.ID_CODIGO);
		
        // Bean "parametros"
		request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_CODIGO + "=" + idCodigo));
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar el código
		codigoBO = new CodigoBO(ds);
		codigo = codigoBO.recuperarCodigo(idCodigo);
		request.setAttribute(Ctes.CODIGO,codigo);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(String.valueOf(codigo.getIdAsociacion()));
		request.setAttribute(Ctes.ASOCIACION,asociacion);

		return mapping.findForward(Ctes.EXITO);
}

}

