/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.codigos.secciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina una sección de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		SeccionBO seccionBO = null;
		String nivel = null;
		String idCodigo = null;

		// Recuperar parámetros
	    nivel = request.getParameter(Ctes.NIVEL);
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar la sección
		seccionBO = new SeccionBO(ds);
		seccionBO.eliminarSeccion(nivel,idCodigo);

		return mapping.findForward(Ctes.EXITO);
}

}


