/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.codigos.secciones.traducciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina la traducción de una sección de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionSeccionBO tradSeccionBO = null;
		String nivel = null;
		String idCodigo = null;
		String idIdioma = null;

		// Recupera parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    nivel = request.getParameter(Ctes.NIVEL);
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar la sección
		tradSeccionBO = new TraduccionSeccionBO(ds);
		tradSeccionBO.eliminarTraduccionSeccion(idIdioma,idCodigo,nivel);

		return mapping.findForward(Ctes.EXITO);
}

}


