/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.codigos.traducciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina la traducción de un código de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionCodigoBO tradCodigoBO = null;
		String idIdioma;
		String idCodigo;

		// Recuperar parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idCodigo = request.getParameter(Ctes.ID_CODIGO);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar la traducción del código 
		tradCodigoBO = new TraduccionCodigoBO(ds);
		tradCodigoBO.eliminarTraduccionCodigo(idIdioma,idCodigo);

		return mapping.findForward(Ctes.EXITO);
}

}


