/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.gruposDeTemas;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina un grupo de temas de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		GrupoDeTemasBO grupoDeTemasBO = null;
		String idGrupoDeTemas;

		// Recuperar parámetros
	    idGrupoDeTemas = request.getParameter(Ctes.ID_GRUPO_DE_TEMAS);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar el grupo de temas
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		grupoDeTemasBO.eliminarGrupoDeTemas(idGrupoDeTemas);

		return mapping.findForward(Ctes.EXITO);
}

}


