/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.gruposDeTemas.traducciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina la traducción de un grupo de temas de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionGrupoDeTemasBO tradGrupoDeTemasBO = null;
		String idIdioma;
		String idGrupoDeTemas;

		// Recuperar parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idGrupoDeTemas = request.getParameter(Ctes.ID_GRUPO_DE_TEMAS);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar la traducción del grupo de temas
		tradGrupoDeTemasBO = new TraduccionGrupoDeTemasBO(ds);
		tradGrupoDeTemasBO.eliminarTraduccionGrupoDeTemas(idIdioma,idGrupoDeTemas);

		return mapping.findForward(Ctes.EXITO);
}

}


