/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.idiomas;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina un idioma de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		IdiomaBO idiomaBO = null;
		String idIdioma;

		// Recuperar parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar el idioma 
		idiomaBO = new IdiomaBO(ds);
		idiomaBO.eliminarIdioma(idIdioma);

		return mapping.findForward(Ctes.EXITO);
}

}


