/*
 * IndexAction.java		10-ago-2005
 */
package codetic.actions.admon.temas;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

import java.util.*;

/**
 * Action que almacena una colección con todos los temas en
 * el ámbito 'request'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class IndexAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TemaBO temaBO = null;
		Collection lista = null;
		Map map = null;
		GrupoDeTemasBO grupoDeTemasBO = null;

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la lista de temas
		temaBO = new TemaBO(ds);
		lista =  temaBO.listaTemas();
		request.setAttribute(Ctes.LISTA_TEMAS, lista);
		
		// Recuperar el map de grupos de temas
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		map =  grupoDeTemasBO.mapGruposDeTemas();
		request.setAttribute(Ctes.MAP_GRUPOS_DE_TEMAS, map);

		return mapping.findForward(Ctes.EXITO);
}

}

