/*
 * NuevoAction.java		10-ago-2005
 */
package codetic.actions.admon.temas;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear un nuevo tema.  
 *
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		GrupoDeTemasBO grupoDeTemasBO = null;
		Collection lista = null;

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la lista de grupos de temas
		grupoDeTemasBO = new GrupoDeTemasBO(ds);
		lista = grupoDeTemasBO.listaGruposDeTemas();
		request.setAttribute(Ctes.LISTA_GRUPOS_DE_TEMAS,lista);

		return mapping.findForward(Ctes.EXITO);
}

}

