/*
 * BusquedaDTO.java		28-jul-2005
 */
package codetic.dto;

/**
 * DTO que representa un criterio de una búsqueda.
 *
 * @author Miguel Angel Serna Mata
 */
public class BusquedaDTO {
    
    private String palabras;
    private String coincidenciaPalabras;
    private String[] idiomas;
    private String[] gruposDeTemas;
    private String[] temas;
    private String[] ambitos;
    private String[] asociaciones;
    private String orden;
    private String resultadosPorPagina;
    private String coincidenciaGruposYTemas;
    
    public String getCoincidenciaGruposYTemas() {
        return coincidenciaGruposYTemas;
    }
    public void setCoincidenciaGruposYTemas(String coincidenciaGruposYTemas) {
        this.coincidenciaGruposYTemas = coincidenciaGruposYTemas;
    }
    public String[] getAmbitos() {
        return ambitos;
    }
    public void setAmbitos(String[] ambitos) {
        this.ambitos = ambitos;
    }
    public String[] getAsociaciones() {
        return asociaciones;
    }
    public void setAsociaciones(String[] asociaciones) {
        this.asociaciones = asociaciones;
    }
    public String getCoincidenciaPalabras() {
        return coincidenciaPalabras;
    }
    public void setCoincidenciaPalabras(String coincidenciaPalabras) {
        this.coincidenciaPalabras = coincidenciaPalabras;
    }
    public String[] getGruposDeTemas() {
        return gruposDeTemas;
    }
    public void setGruposDeTemas(String[] gruposDeTemas) {
        this.gruposDeTemas = gruposDeTemas;
    }
    public String[] getIdiomas() {
        return idiomas;
    }
    public void setIdiomas(String[] idiomas) {
        this.idiomas = idiomas;
    }
    public String getOrden() {
        return orden;
    }
    public void setOrden(String orden) {
        this.orden = orden;
    }
    public String getPalabras() {
        return palabras;
    }
    public void setPalabras(String palabras) {
        this.palabras = palabras;
    }
    public String getResultadosPorPagina() {
        return resultadosPorPagina;
    }
    public void setResultadosPorPagina(String resultadosPorPagina) {
        this.resultadosPorPagina = resultadosPorPagina;
    }
    public String[] getTemas() {
        return temas;
    }
    public void setTemas(String[] temas) {
        this.temas = temas;
    }
}
