<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <bean:message key="menu.admon.asociaciones.nuevo"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.asociaciones.index.titulo"/></h1>
</div>

<h3><bean:message key="admon.asociaciones.nuevo.titulo"/></h3>

<%-- Mostrar errores --%>
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/asociaciones/crear" focus="idAmbito" enctype="text/plain;charset=UTF-8" >
  <table class="form">
    <tr>
      <th>
        <label for="idAmbito"><bean:message key="forms.AsociacionForm.campos.idAmbito"/>*</label>
      </th>
      <td>
        <html:select property="idAmbito">
          <html:options collection="listaAmbitos" property="idAmbito" labelProperty="nombreAdmon"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <th>
        <label for="nombre"><bean:message key="forms.AsociacionForm.campos.nombre"/>*</label>
      </th>
      <td>
        <html:text property="nombre" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="siglas"><bean:message key="forms.AsociacionForm.campos.siglas"/></label>
      </th>
      <td>
        <html:text property="siglas" maxlength="10" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="web"><bean:message key="forms.AsociacionForm.campos.web"/></label>
      </th>
      <td>
        <html:text property="web" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="anyoCreacion"><bean:message key="forms.AsociacionForm.campos.anyoCreacion"/></label>
      </th>
      <td>
        <html:text property="anyoCreacion" size="4" maxlength="4"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.continuar"/></html:submit>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>