<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <bean:message key="menu.traducciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></span></p>
</div>

<p><bean:message key="admon.asociaciones.traducciones.index.intro"/></p>

<p>
<html:link action="/admon/asociaciones/traducciones/nuevo?idAsociacion=${asociacion.idAsociacion}"><bean:message key="admon.asociaciones.traducciones.index.insertar"/></html:link>
| <html:link action="/admon/asociaciones/index"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaTraduccionesAsociacion">
<display:table class="displaytag" name="listaTraduccionesAsociacion" id="tradAsociacion" requestURI="/codetic/admon/asociaciones/traducciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="idIdioma" titleKey="forms.TraduccionAsociacionForm.campos.idIdioma"/>
  <display:column property="localizacionGeografica" maxLength="25" titleKey="forms.TraduccionAsociacionForm.campos.localizacionGeografica"/>
  <display:column property="descripcion" maxLength="25" titleKey="forms.TraduccionAsociacionForm.campos.descripcion"/>
  <%--<display:column property="comentarios" maxLength="25" titleKey="forms.TraduccionAsociacionForm.campos.comentarios"/>--%>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/asociaciones/traducciones/editar?idIdioma=${tradAsociacion.idIdioma}&idAsociacion=${tradAsociacion.idAsociacion}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/asociaciones/traducciones/eliminar?idIdioma=${tradAsociacion.idIdioma}&idAsociacion=${tradAsociacion.idAsociacion}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaTraduccionesAsociacion">
  <p><bean:message key="admon.asociaciones.traducciones.index.ninguno"/></p>
</logic:empty>

<br/>