<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${codigo.idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <bean:message key="menu.admon.codigos.secciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.secciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${codigo.tituloOriginal}</span>, ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></p>
</div>

<p><bean:message key="admon.codigos.secciones.index.intro"/></p>

<p>
<html:link action="/admon/codigos/secciones/nuevo?idAsociacion=${codigo.idAsociacion}&idCodigo=${codigo.idCodigo}"><bean:message key="admon.codigos.secciones.index.insertar"/></html:link>
| <html:link action="/admon/codigos/index?idAsociacion=${codigo.idAsociacion}"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaSeccionesCodigo">
<display:table class="displaytag" name="listaSeccionesCodigo" id="seccion" requestURI="/codetic/admon/codigos/secciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="nivel" titleKey="forms.SeccionForm.campos.nivel"/>
  <display:column property="nombreAdmon" maxLength="50" titleKey="forms.SeccionForm.campos.nombreAdmon"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/codigos/secciones/editar?nivel=${seccion.nivel}&idAsociacion=${codigo.idAsociacion}&idCodigo=${seccion.idCodigo}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/codigos/secciones/eliminar?nivel=${seccion.nivel}&idAsociacion=${codigo.idAsociacion}&idCodigo=${seccion.idCodigo}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
    <html:link action="/admon/codigos/secciones/traducciones/index?nivel=${seccion.nivel}&idAsociacion=${codigo.idAsociacion}&idCodigo=${seccion.idCodigo}"><html:img srcKey="img.traducciones" titleKey="admon.tabla.traducciones"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaSeccionesCodigo">
  <p><bean:message key="admon.codigos.secciones.index.ninguno"/></p>
</logic:empty>

<br/>