<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${codigo.idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <bean:message key="menu.traducciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${codigo.tituloOriginal}</span>, ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></p>
</div>

<p><bean:message key="admon.codigos.traducciones.index.intro"/></p>

<p>
<html:link action="/admon/codigos/traducciones/nuevo?idAsociacion=${codigo.idAsociacion}&idCodigo=${codigo.idCodigo}"><bean:message key="admon.codigos.traducciones.index.insertar"/></html:link>
| <html:link action="/admon/codigos/index?idCodigo=${codigo.idCodigo}&idAsociacion=${codigo.idAsociacion}"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaTraduccionesCodigo">
<display:table class="displaytag" name="listaTraduccionesCodigo" id="tradCodigo" requestURI="/codetic/admon/codigos/traducciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="idIdioma" titleKey="forms.TraduccionCodigoForm.campos.idIdioma"/>
  <display:column property="titulo" maxLength="25" titleKey="forms.TraduccionCodigoForm.campos.titulo"/>
  <display:column property="traductores" maxLength="25" titleKey="forms.TraduccionCodigoForm.campos.traductores"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/codigos/traducciones/editar?idIdioma=${tradCodigo.idIdioma}&idCodigo=${tradCodigo.idCodigo}&idAsociacion=${codigo.idAsociacion}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/codigos/traducciones/eliminar?idIdioma=${tradCodigo.idIdioma}&idCodigo=${tradCodigo.idCodigo}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
    <html:link action="/admon/codigos/traducciones/secciones/index?idAsociacion=${codigo.idAsociacion}&idIdioma=${tradCodigo.idIdioma}&idCodigo=${codigo.idCodigo}"><html:img srcKey="img.seccionesTraducidas" titleKey="admon.tabla.seccionesTraducidas"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaTraduccionesCodigo">
  <p><bean:message key="admon.codigos.traducciones.index.ninguno"/></p>
</logic:empty>

<br/>