<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <bean:message key="menu.admon.gruposDeTemas.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.gruposDeTemas.index.titulo"/></h1>
</div>

<p><bean:message key="admon.gruposDeTemas.index.intro"/></p>

<p>
<html:link action="/admon/gruposDeTemas/nuevo"><bean:message key="admon.gruposDeTemas.index.insertar"/></html:link>
| <html:link action="/admon/index"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaGruposDeTemas">
<display:table class="displaytag" name="listaGruposDeTemas" id="grupoDeTemas" requestURI="/codetic/admon/gruposDeTemas/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="nombreAdmon" sortable="true" maxLength="50" titleKey="forms.GrupoDeTemasForm.campos.nombreAdmon"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/gruposDeTemas/editar?idGrupoDeTemas=${grupoDeTemas.idGrupoDeTemas}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/gruposDeTemas/eliminar?idGrupoDeTemas=${grupoDeTemas.idGrupoDeTemas}" onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
    <html:link action="/admon/gruposDeTemas/traducciones/index?idGrupoDeTemas=${grupoDeTemas.idGrupoDeTemas}"><html:img srcKey="img.traducciones" titleKey="admon.tabla.traducciones"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaGruposDeTemas">
  <p><bean:message key="admon.gruposDeTemas.index.ninguno"/></p>
</logic:empty>

<br/>