<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/gruposDeTemas/index"><bean:message key="menu.admon.gruposDeTemas.index"/></html:link>
> <bean:message key="menu.admon.gruposDeTemas.nuevo"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.gruposDeTemas.index.titulo"/></h1>
</div>

<h3><bean:message key="admon.gruposDeTemas.nuevo.titulo"/></h3>

<%-- Mostrar errores --%>
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/gruposDeTemas/crear" focus="nombreAdmon" enctype="text/plain;charset=UTF-8" >
  <table class="form">
    <tr>
      <th>
        <label for="nombreAdmon"><bean:message key="forms.GrupoDeTemasForm.campos.nombreAdmon"/>*</label>
      </th>
      <td>
        <html:text property="nombreAdmon" maxlength="45" size="50"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.continuar"/></html:submit>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>