<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/gruposDeTemas/index"><bean:message key="menu.admon.gruposDeTemas.index"/></html:link>
> <html:link action="/admon/gruposDeTemas/traducciones/index?idGrupoDeTemas=${traduccionGrupoDeTemas.idGrupoDeTemas}"><bean:message key="menu.traducciones.index"/></html:link>
> <bean:message key="menu.traducciones.editar"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${grupoDeTemas.nombreAdmon}</span></p>
</div>

<h3><bean:message key="admon.gruposDeTemas.traducciones.editar.titulo"/></h3>

<!-- Mostrar errores -->
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/gruposDeTemas/traducciones/actualizar" focus="nombre" enctype="text/plain;charset=UTF-8" >
  <html:hidden name="traduccionGrupoDeTemas" property="idIdioma"/>
  <html:hidden name="traduccionGrupoDeTemas" property="idGrupoDeTemas"/>
  <table class="form">
    <tr>
      <th>
        <label for="idIdioma"><bean:message key="forms.TraduccionGrupoDeTemasForm.campos.idIdioma"/>*</label>
      </th>
      <td>
        <html:text name="traduccionGrupoDeTemas" property="idIdioma" size="2" maxlength="2" disabled="true"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="nombre"><bean:message key="forms.TraduccionGrupoDeTemasForm.campos.nombre"/>*</label>
      </th>
      <td>
        <html:text name="traduccionGrupoDeTemas" property="nombre" maxlength="45" size="45"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="descripcion"><bean:message key="forms.TraduccionGrupoDeTemasForm.campos.descripcion"/></label>
      </th>
      <td>
        <html:textarea name="traduccionGrupoDeTemas" property="descripcion" cols="40" rows="6"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>