<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/fn" prefix="fn" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/gruposDeTemas/index"><bean:message key="menu.admon.gruposDeTemas.index"/></html:link>
> <bean:message key="menu.traducciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${grupoDeTemas.nombreAdmon}</span></p>
</div>

<%--
<h1><bean:message key="admon.gruposDeTemas.traducciones.index.titulo"/> - ${grupoDeTemas.nombreAdmon}</h1>
--%>

<p><bean:message key="admon.gruposDeTemas.traducciones.index.intro"/></p>

<p>
<html:link action="/admon/gruposDeTemas/traducciones/nuevo?idGrupoDeTemas=${grupoDeTemas.idGrupoDeTemas}"><bean:message key="admon.gruposDeTemas.traducciones.index.insertar"/></html:link>
| <html:link action="/admon/gruposDeTemas/index"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaTraduccionesGrupoDeTemas">
<display:table class="displaytag" name="listaTraduccionesGrupoDeTemas" id="tradGrupoDeTemas" requestURI="/codetic/admon/gruposDeTemas/traducciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="idIdioma" sortable="true" titleKey="forms.TraduccionGrupoDeTemasForm.campos.idIdioma"/>
  <display:column property="nombre" maxLength="25" titleKey="forms.TraduccionGrupoDeTemasForm.campos.nombre"/>
  <display:column property="descripcion" maxLength="25" titleKey="forms.TraduccionGrupoDeTemasForm.campos.descripcion"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/gruposDeTemas/traducciones/editar?idIdioma=${tradGrupoDeTemas.idIdioma}&idGrupoDeTemas=${tradGrupoDeTemas.idGrupoDeTemas}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/gruposDeTemas/traducciones/eliminar?idIdioma=${tradGrupoDeTemas.idIdioma}&idGrupoDeTemas=${tradGrupoDeTemas.idGrupoDeTemas}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaTraduccionesGrupoDeTemas">
  <p><bean:message key="admon.gruposDeTemas.traducciones.index.ninguno"/></p>
</logic:empty>

<br/>