<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/idiomas/index"><bean:message key="menu.admon.idiomas.index"/></html:link>
> <bean:message key="menu.admon.idiomas.editar"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.idiomas.index.titulo"/></h1>
</div>

<h3><bean:message key="admon.idiomas.editar.titulo"/></h3>

<!-- Mostrar errores -->
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/idiomas/actualizar" focus="idIdioma" enctype="text/plain;charset=UTF-8" >
 <table class="form">
    <tr>
      <th>
        <label for="idIdioma"><bean:message key="forms.IdiomaForm.campos.idIdioma"/>*</label><br/>
      </th>
      <td>
        <html:text name="idioma" property="idIdioma" size="2" maxlength="2" disabled="true"/>
        <a href="http://ftp.ics.uci.edu/pub/ietf/http/related/iso639.txt">
          <bean:message key="admon.idiomas.nuevo.codigosISO"/>
        </a>
        <%-- Debemos ponerlo porque el campo de arriba está deshabilitado --%>
        <html:hidden name="idioma" property="idIdioma"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="nombre"><bean:message key="forms.IdiomaForm.campos.nombre"/>*</label>
      </th>
      <td>
        <html:text name="idioma" property="nombre" maxlength="45" size="50"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>