<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <bean:message key="menu.admon.idiomas.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.idiomas.index.titulo"/></h1>
</div>

<p><bean:message key="admon.idiomas.index.intro"/></p>

<p>
<html:link action="/admon/idiomas/nuevo"><bean:message key="forms.IdiomaForm.prompt.insertarIdioma"/></html:link>
| <html:link action="/admon/index"><bean:message key="admon.codigos.index.volver"/></html:link>
</p>

<logic:notEmpty name="listaIdiomas">
<display:table class="displaytag" name="listaIdiomas" id="idioma" requestURI="/codetic/admon/idiomas/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="idIdioma" sortable="true" titleKey="forms.IdiomaForm.campos.idIdioma"/>
  <display:column property="nombre" sortable="true" maxLength="50" titleKey="forms.IdiomaForm.campos.nombre"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/idiomas/editar?idIdioma=${idioma.idIdioma}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/idiomas/eliminar?idIdioma=${idioma.idIdioma}" onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaIdiomas">
  <p><bean:message key="admon.idiomas.index.ninguno"/></p>
</logic:empty>

<br/>