<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <bean:message key="menu.admon.temas.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.temas.index.titulo"/></h1>
</div>

<p><bean:message key="admon.temas.index.intro"/></p>

<p>
<html:link action="/admon/temas/nuevo"><bean:message key="admon.temas.index.insertar"/></html:link>
| <html:link action="/admon/index"><bean:message key="admon.codigos.index.volver"/></html:link>
</p>

<logic:notEmpty name="listaTemas">
<!-- Displaytag -->
<display:table class="displaytag" name="listaTemas" id="tema" requestURI="/codetic/admon/temas/index.do" defaultorder="ascending" defaultsort="1">
  <display:column group="1" sortable="true" titleKey="forms.TemaForm.campos.idGrupoDeTemas">${mapGruposDeTemas[tema.idGrupoDeTemas].nombreAdmon}</display:column>
  <display:column sortable="true" property="nombreAdmon" maxLength="50" titleKey="forms.TemaForm.campos.nombreAdmon"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/temas/editar?idTema=${tema.idTema}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/temas/eliminar?idTema=${tema.idTema}" onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
    <html:link action="/admon/temas/traducciones/index?idTema=${tema.idTema}"><html:img srcKey="img.traducciones" titleKey="admon.tabla.traducciones"/></html:link>
  </display:column>   
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaTemas">
  <p><bean:message key="admon.temas.index.ninguno"/></p>
</logic:empty>

<br/>
