<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/temas/index"><bean:message key="menu.admon.temas.index"/></html:link>
> <bean:message key="menu.traducciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${tema.nombreAdmon}</span></p>
</div>

<p><bean:message key="admon.temas.traducciones.index.intro"/></p>

<p>
<html:link action="/admon/temas/traducciones/nuevo?idTema=${tema.idTema}"><bean:message key="admon.temas.traducciones.index.insertar"/></html:link>
| <html:link action="/admon/temas/index"><bean:message key="prompt.volver"/></html:link>
</p>


<logic:notEmpty name="listaTraduccionesTema">
<display:table class="displaytag" name="listaTraduccionesTema" id="tradTema" requestURI="/codetic/admon/temas/traducciones/index.do" defaultorder="ascending" defaultsort="1">
    <display:column property="idIdioma" sortable="true" titleKey="forms.TraduccionTemaForm.campos.idIdioma"/>
  <display:column property="nombre" maxLength="25" titleKey="forms.TraduccionTemaForm.campos.nombre"/>
  <display:column property="descripcion" maxLength="25" titleKey="forms.TraduccionTemaForm.campos.descripcion"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/temas/traducciones/editar?idIdioma=${tradTema.idIdioma}&idTema=${tradTema.idTema}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/temas/traducciones/eliminar?idIdioma=${tradTema.idIdioma}&idTema=${tradTema.idTema}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
  </display:column>       
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaTraduccionesTema">
  <p><bean:message key="admon.temas.traducciones.index.ninguno"/></p>
</logic:empty>

<br/>