<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/fn" prefix="fn" %>
<%@ page isELIgnored="false"%>

<script language="javascript">
<!--

function showhide(layer_ref) {

var state;

if (document.all) { //IS IE 4 or 5 (or 6 beta)
state = eval( "document.all." + layer_ref + ".style.display");
}
if (document.layers) { //IS NETSCAPE 4 or below
state = document.layers[layer_ref].display;
}
if (document.getElementById &&!document.all) {
hza = document.getElementById(layer_ref);
state = hza.style.display;
}

if (state == 'block') {
state = 'none';
}
else {
state = 'block';
}
if (document.all) { //IS IE 4 or 5 (or 6 beta)
eval( "document.all." + layer_ref + ".style.display = state");
}
if (document.layers) { //IS NETSCAPE 4 or below
document.layers[layer_ref].display = state;
}
if (document.getElementById &&!document.all) {
hza = document.getElementById(layer_ref);
hza.style.display = state;
}
}

function showAll(layer,begin,end) {

var action = 'block';

for (i=begin;i<=end;i++)
{
var layer_ref = layer + i;
if (document.all) { //IS IE 4 or 5 (or 6 beta)
eval( "document.all." + layer_ref + ".style.display = action");
}
if (document.layers) { //IS NETSCAPE 4 or below
document.layers[layer_ref].display = action;
}
if (document.getElementById &&!document.all) {
hza = document.getElementById(layer_ref);
hza.style.display = action;
}
}
}

function hideAll(layer,begin,end) {

var action = 'none';

for (i=begin;i<=end;i++)
{
var layer_ref = layer + i;
if (document.all) { //IS IE 4 or 5 (or 6 beta)
eval( "document.all." + layer_ref + ".style.display = action");
}
if (document.layers) { //IS NETSCAPE 4 or below
document.layers[layer_ref].display = action;
}
if (document.getElementById &&!document.all) {
hza = document.getElementById(layer_ref);
hza.style.display = action;
}
}

}

//-->
</script>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/busqueda"><bean:message key="menu.busqueda"/></html:link>
> <bean:message key="menu.busquedaAvanzada"/>
</p>
</div>

<h1><bean:message key="busquedaAvanzada.titulo"/></h1>

<html:form styleClass="busquedaAvanzada" action="/resultados" focus="palabras" enctype="text/plain;charset=UTF-8" >
   
   <%-- Tipo de búsqueda --%>
  <html:hidden property="tipoBusqueda" value="avanzada"/>
  
  <div class="filaBusqueda filaColoreada">
    <h1><bean:message key="busquedaAvanzada.especificarTexto"/></h1>
    <div class="contenidoFilaBusqueda">
      <table>
        <tr>
        <td><label for"palabras"><bean:message key="busquedaAvanzada.palabras"/></label><br />
            <html:text property="palabras" size="50"/>
         </td>
         <td><label for="coincidenciaPalabras"><bean:message key="busquedaAvanzada.coincidiendo"/></span><br />
             <html:select property="coincidenciaPalabras" value="cualquiera">
               <html:option value="cualquiera"><bean:message key="busquedaAvanzada.coincidiendo.cualquiera"/></html:option>
               <html:option value="todas"><bean:message key="busquedaAvanzada.coincidiendo.todas"/></html:option>
               <html:option value="exacta"><bean:message key="busquedaAvanzada.coincidiendo.exacta"/></html:option>
             </html:select>
         </td>
        </tr>
      </table>
    </div>
  </div>
  <div class="filaBusqueda">
    <h1><bean:message key="busquedaAvanzada.especificarTraducciones"/></h1>
    <div class="contenidoFilaBusqueda">
      <table>
        <tr>
        <td>
          <c:forEach var="idioma" items="${listaIdiomas}">
            <html:multibox property="idiomas"> 
              <c:out value="${idioma.idIdioma}"/>
            </html:multibox>
            <c:out value="${idioma.nombre} (${idioma.idIdioma})"/><br/>
          </c:forEach>
        </td>
        </tr>
      </table>
    </div>
  </div>
  
  <div class="filaBusqueda">
    <h1><bean:message key="busquedaAvanzada.especificarTemas"/> <html:link action="/busqueda/avanzada/infoTemas" titleKey="busquedaAvanzada.infoTemas"><html:img srcKey="img.ayuda"/></html:link></h1>
    &nbsp;<html:link styleClass="margenIzq" action="/busqueda/avanzada" onclick="showAll('temas_g',1,${fn:length(mapTraduccionesGruposYTraduccionesTemas)}); return false;"><bean:message key="busquedaAvanzada.expandirTodos"/></html:link> 
    <span class="small">|</span> 
    <html:link action="/busqueda/avanzada" onclick="hideAll('temas_g',1,${fn:length(mapTraduccionesGruposYTraduccionesTemas)}); return false;"><bean:message key="busquedaAvanzada.contraerTodos"/></html:link>
    <div class="contenidoFilaBusqueda">
      <table>
        <tr>
        <td>
          <span class="negrita negro"><bean:message key="busquedaAvanzada.temas.coincidiendo"/></span>
          <html:radio property="coincidenciaGruposYTemas" value="cualquiera"/><bean:message key="busquedaAvanzada.temas.coincidiendo.cualquiera"/><html:radio property="coincidenciaGruposYTemas" value="todos"/><bean:message key="busquedaAvanzada.temas.coincidiendo.todos"/>
        </td>
        </tr>
        <tr>
        <td>          
          <c:forEach var="entrada" items="${mapTraduccionesGruposYTraduccionesTemas}" varStatus="lineInfo">
          <c:set var="tradGrupo" value="${entrada.key}"/>
          <c:set var="tradsTemas" value="${entrada.value}"/>
            <html:multibox property="gruposDeTemas"> 
              <c:out value="${tradGrupo.idGrupoDeTemas}"/>
            </html:multibox>
            <html:link styleClass="categoria" action="/busqueda/avanzada" onclick="showhide('temas_g${lineInfo.count}'); return false;">${tradGrupo.nombre}</html:link><html:img srcKey="img.spindown"/><br/>
            <c:choose>
              <c:when test="${lineInfo.count == 1}">
                <div id="temas_g${lineInfo.count}" class="asociaciones">
              </c:when> 
              <c:otherwise>
                <div id="temas_g${lineInfo.count}" class="asociaciones oculto">
              </c:otherwise>
            </c:choose>            
              <c:forEach var="tradTema" items="${tradsTemas}">
                <html:multibox property="temas"> 
                  <c:out value="${tradTema.idTema}"/>
                </html:multibox>
                ${tradTema.nombre}<br/>
              </c:forEach>
            </div>
          </c:forEach>
        </td>
        </tr>
      </table>
    </div>
  </div>
  
  <div class="filaBusqueda">
    <h1><bean:message key="busquedaAvanzada.especificarAsociaciones"/></h1>    
    &nbsp;<html:link styleClass="margenIzq" action="/busqueda/avanzada" onclick="showAll('asocs_a',1,${fn:length(mapTraduccionesAmbitosYAsociaciones)}); return false;"><bean:message key="busquedaAvanzada.expandirTodos"/></html:link> 
    <span class="small">|</span> 
    <html:link action="/busqueda/avanzada" onclick="hideAll('asocs_a',1,${fn:length(mapTraduccionesAmbitosYAsociaciones)}); return false;"><bean:message key="busquedaAvanzada.contraerTodos"/></html:link>
    <div class="contenidoFilaBusqueda">
      <table>
        <tr>
        <td>          
          <c:forEach var="entrada" items="${mapTraduccionesAmbitosYAsociaciones}" varStatus="lineInfo">
          <c:set var="tradAmbito" value="${entrada.key}"/>
          <c:set var="asociaciones" value="${entrada.value}"/>
            <html:multibox property="ambitos"> 
              <c:out value="${tradAmbito.idAmbito}"/>
            </html:multibox>
            <html:link styleClass="categoria" action="/busqueda/avanzada" onclick="showhide('asocs_a${lineInfo.count}'); return false;">${tradAmbito.nombre}</html:link><html:img srcKey="img.spindown"/><br/>
            <div id="asocs_a${lineInfo.count}" class="asociaciones oculto">
              <c:forEach var="asociacion" items="${asociaciones}">
                <html:multibox property="asociaciones"> 
                  <c:out value="${asociacion.idAsociacion}"/>
                </html:multibox>
                ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if><br/>
              </c:forEach>
            </div>
          </c:forEach>
        </td>
        </tr>
      </table>
    </div>
  </div>
  
  <div class="filaBusqueda filaColoreada">
    <h1><bean:message key="busquedaAvanzada.otrasOpciones"/></h1>
    <div class="contenidoFilaBusqueda">
      <table>
        <tr>
         <td><label for="resultadosPorPagina"><bean:message key="busquedaAvanzada.resultadosPorPagina"/></span><br />
             <html:select property="resultadosPorPagina" value="2">
               <html:option value="10"/>
               <html:option value="25"/>
               <html:option value="50"/>
             </html:select>
         </td>
        </tr>
      </table>
    </div>
  </div>
  
  <html:submit styleClass="button"><bean:message key="busquedaAvanzada.buscar"/></html:submit>
  <html:link action="/busqueda"><bean:message key="busquedaAvanzada.busquedaSimple"/></html:link>
</html:form>

<br />