<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<html:xhtml/>

<%--
<div id="quick_search">
<form action="#">
  <input type="text" size="15" />
  <input class="button" type="submit" value="Ir" />
</form>
</div>
--%>

<div class="main-nav">
  <html:link action="/index"><bean:message key="menu.index"/></html:link>
  <html:link action="/busqueda"><bean:message key="menu.busqueda"/></html:link>
  <html:link action="/asociaciones"><bean:message key="menu.asocsycods"/></html:link>
  <%-- Líneas Futuras
  <html:link page="#"><bean:message key="menu.glosario"/></html:link>
  --%>
  <html:link action="/propuesta"><bean:message key="menu.propuestaEclectica"/></html:link>
  <html:link action="/enlaces"><bean:message key="menu.enlaces"/></html:link>
  <html:link action="/contacto"><bean:message key="menu.contacto"/></html:link>
  <html:link action="/ayuda"><bean:message key="menu.ayuda"/></html:link>
  <logic:notPresent role="codeticAdmin">
    <html:link page="/login_sec.jsp">Login</html:link>
  </logic:notPresent>
</div>

<logic:present role="codeticAdmin">
  <h1>:: <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link></h1>
  <div class="main-nav">
    <html:link action="/logout"><bean:message key="menu.admon.logout"/></html:link>
    <html:link action="/admon/idiomas/index"><bean:message key="menu.admon.idiomas.index"/></html:link>
    <html:link action="/admon/ambitos/index"><bean:message key="menu.admon.ambitos.index"/></html:link>
    <html:link action="/admon/asociaciones/index"><bean:message key="menu.asocsycods"/></html:link>
    <html:link action="/admon/temas/index"><bean:message key="menu.admon.temas.index"/></html:link>
    <html:link action="/admon/gruposDeTemas/index"><bean:message key="menu.admon.gruposDeTemas.index"/></html:link>
    <html:link action="/admon/ayuda"><bean:message key="menu.admon.ayuda"/></html:link>
  </div>
</logic:present>