<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<h1>Presentación</h1>
<p>Este sitio web, llamado Codetic, es parte del proyecto de fin de carrera titulado "Base de 
   Datos Web sobre Códigos Éticos para Profesionales de la Informática y una Propuesta
   Ecléctica", realizado por Miguel Ángel Serna Mata y dirigido por José Galindo Gómez,
   de la E.T.S. de Ingeniería Informática de la Universidad de Málaga. </p>    
<p>Uno de los objetivos del proyecto era ofrecer este sitio web en varios idiomas en el que poder consultar
   códigos deontológicos de organizaciones informáticas nacionales e internacionales. Se pueden buscar
   códigos éticos completos y artículos de códigos.</p>  
<p>Actualmente tenemos los códigos éticos de 28 asociaciones. La mayoría de estos códigos están disponibles
   en español e inglés.</p>

<h1>¿Para qué la ética?</h1> 
<p>En una sociedad cada vez más informatizada, y dado el importante crecimiento
   de Internet y el gran desarrollo de las TIC (Tecnologías de la Información y de las Comunicaciones), es necesario
   establecer una serie de normas que regulen el comportamiento de los profesionales informáticos durante el 
   desempeño de su trabajo.</p>
<p>La tecnología informática plantea nuevas situaciones y nuevos problemas y gran parte de estas nuevas situaciones
   y problemas son de una naturaleza ética. Obviamente existen intentos de resolver estos problemas aplicando
   las actuales reglas y soluciones éticas de carácter general, por ello es importante echar la vista al pasado
   en busca de mejores valores éticos tradicionales. Las TIC (Tecnologías de la Información y de las Comunicaciones)
   cambiarán el mundo que conocemos actualmente, y desde el punto de vista ético, lo más importante y evidente es la
   necesidad de una nueva ética. Esta nueva ética será la ética de la informática.</p>
<p>Para más información sobre ética informática, visite nuestra página de <html:link action="/enlaces"><bean:message key="menu.enlaces"/></html:link>.</p>