<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/busqueda"><bean:message key="menu.busqueda"/></html:link>
> <html:link action="/busqueda/avanzada"><bean:message key="menu.busquedaAvanzada"/></html:link>
> <bean:message key="menu.infoTemas"/>
</p>
</div>

<h1><bean:message key="infoTemas.titulo"/></h1>

<p><bean:message key="infoTemas.intro"/></p>

<ul>
<c:forEach var="entrada" items="${mapTraduccionesGruposYTraduccionesTemas}" varStatus="lineInfo">
  <c:set var="tradGrupo" value="${entrada.key}"/>
  <li><html:link action="/busqueda/avanzada/infoTemas" anchor="${lineInfo.count}">${tradGrupo.nombre}</html:link></li>
</c:forEach>
</ul>

<br/>

<c:forEach var="entrada" items="${mapTraduccionesGruposYTraduccionesTemas}" varStatus="lineInfo">
  <c:set var="tradGrupo" value="${entrada.key}"/>
  <c:set var="tradsTemas" value="${entrada.value}"/>
  <div class="grupoDeTemas">
    <html:link linkName="${lineInfo.count}"><h2>${tradGrupo.nombre}</h2></html:link>
    <c:forEach var="tradTema" items="${tradsTemas}">
      <h4>${tradTema.nombre}</h4>
      <p>${tradTema.descripcion}</p>
      <%--
      <p class="small"><span class="negrita"><bean:message key="infoTemas.palabrasClave"/>:</span> ${tradTema.palabrasClave}</p>
      --%>
      <table class="palabrasClave" cellspacing="0">
      <%-- Es necesario poner cellspacing="0" porque
           IE6 no soporta la propieddad CSS border-spacing
           para tablas. --%>
           
        <tbody>
        <tr>
          <th><bean:message key="infoTemas.palabrasClave"/>:</th>
          <td>${tradTema.palabrasClave}</td>
        </tr>
        </tbody>
      </table>
    </c:forEach>
  </div>
  <br/>
</c:forEach>