/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.ambitos.traducciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina una traducción de un ámbito de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionAmbitoBO tradAmbitoBO = null;
		String idIdioma;
		String idAmbito;

		// Recuperar parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idAmbito = request.getParameter(Ctes.ID_AMBITO);
	    
	    // Obtener el DataSource
	    ds = getDataSource(request,Ctes.DATA_SOURCE);
	    
	    // Eliminar la traducción del ámbito
		tradAmbitoBO = new TraduccionAmbitoBO(ds);
		tradAmbitoBO.eliminarTraduccionAmbito(idIdioma,idAmbito);

		return mapping.findForward(Ctes.EXITO);
}

}


