/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.asociaciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina una asociación de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AsociacionBO asociacionBO = null;
		String idAsociacion;

		// Recuperar parámetros
	    idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacionBO.eliminarAsociacion(idAsociacion);

		return mapping.findForward(Ctes.EXITO);
}

}


