/*
 * NuevoAction.java		10-ago-2005
 */
package codetic.actions.admon.asociaciones;

import javax.servlet.http.*;
import javax.sql.*;
import java.util.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear una nueva asociación. 
 *
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		AmbitoBO ambitoBO = null;
		Collection lista = null;

		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la lista de ámbitos
		ambitoBO = new AmbitoBO(ds);
		lista = ambitoBO.listaAmbitos();
		request.setAttribute(Ctes.LISTA_AMBITOS,lista);			

		return mapping.findForward(Ctes.EXITO);
}

}

