/*
 * NuevoAction.java		10-ago-2005
 */
package codetic.actions.admon.codigos;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.AsociacionBO;
import codetic.dto.AsociacionDTO;
import codetic.utils.*;


/**
 * Action que almacena todos los objetos necesarios para poder
 * crear un nuevo código.  
 *
 * @author Miguel Angel Serna Mata
 */
public class NuevoAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
	    ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		String idAsociacion = null;
		AsociacionBO asociacionBO = null;
		AsociacionDTO asociacion = null;
		
        // Recuperar parámetros
		idAsociacion = request.getParameter(Ctes.ID_ASOCIACION);
		    
		// Guardar el bean "parametros"
		request.setAttribute("parametros",new String("&" + Ctes.ID_ASOCIACION + "=" + idAsociacion));
		
		// Guardar el parámetro idAsociacion
		request.setAttribute(Ctes.ID_ASOCIACION,idAsociacion);
		
		// Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar la asociación
		asociacionBO = new AsociacionBO(ds);
		asociacion = asociacionBO.recuperarAsociacion(idAsociacion);
		request.setAttribute(Ctes.ASOCIACION,asociacion);

		return mapping.findForward(Ctes.EXITO);
}

}

