/*
 * EditarAction.java		10-ago-2005
 */
package codetic.actions.admon.idiomas;

import javax.servlet.http.*;
import javax.sql.*;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;
import codetic.dto.*;

/**
 * Action que almacena un objeto idioma en el ámbito 'request'. 
 *
 * @author Miguel Angel Serna Mata
 */
public class EditarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		IdiomaBO idiomaBO = null;
		String idIdioma = null; 
		IdiomaDTO idioma = null;

		// Recuperar parámetros
	    idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    
	    // Bean "parametros"
	    request.setAttribute(Ctes.PARAMETROS,new String("&" + Ctes.ID_IDIOMA + "=" + idIdioma));
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Recuperar el idioma
		idiomaBO = new IdiomaBO(ds);
		idioma = idiomaBO.recuperarIdioma(idIdioma);
		request.setAttribute(Ctes.IDIOMA,idioma);

		return mapping.findForward(Ctes.EXITO);
}

}

