/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.temas;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina un tema de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TemaBO temaBO = null;
		String idTema;

		// Recuperar parámetros
	    idTema = request.getParameter(Ctes.ID_TEMA);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar el tema
		temaBO = new TemaBO(ds);
		temaBO.eliminarTema(idTema);

		return mapping.findForward(Ctes.EXITO);
}

}


