/*
 * EliminarAction.java		14-ago-2005
 */
package codetic.actions.admon.temas.traducciones;

import javax.servlet.http.*;
import javax.sql.DataSource;

import org.apache.struts.action.*;

import codetic.bo.*;
import codetic.utils.*;

/**
 * Action que elimina la traducción de un tema de la base de datos.
 *
 * @author Miguel Angel Serna Mata
 */
public class EliminarAction extends Action{
	
	public ActionForward execute(ActionMapping mapping,
            ActionForm form,
			 HttpServletRequest request,
			 HttpServletResponse response)
    throws Exception {
		
		ActionMessages messages = new ActionMessages();
		DataSource ds = null;
		TraduccionTemaBO tradTemaBO = null;
		String idIdioma;
		String idTema;

	    // Recuperar parámetros
		idIdioma = request.getParameter(Ctes.ID_IDIOMA);
	    idTema = request.getParameter(Ctes.ID_TEMA);
	    
	    // Obtener el DataSource
		ds = getDataSource(request,Ctes.DATA_SOURCE);
		
		// Eliminar la traducción del tema
		tradTemaBO = new TraduccionTemaBO(ds);
		tradTemaBO.eliminarTraduccionTema(idIdioma,idTema);

		return mapping.findForward(Ctes.EXITO);
}

}


