<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-tiles" prefix="tiles" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/fmt" prefix="fmt" %>
<%@ taglib uri="/tags/sql" prefix="sql" %>
<%@ taglib uri="/tags/x" prefix="x" %>
<%@ taglib uri="/tags/fn" prefix="fn" %>
<%-- Jakarta Struts Cookbook, Recipe 3.2. Using the Struts-EL Tags --%>
<%@page isELIgnored="false"%>

<%-- Crea un bean llamado 'titulo' que puede ser usado por todos los tiles 
  -- asociados a esta plantilla en una misma petición.
--%>
<tiles:useAttribute name="titulo" scope="request"/>

<html:html lang="true" xhtml="true">
<head>
  <tiles:insert attribute="head"/>
</head>

<body>
  <%-- Crea un bean llamado 'url' que puede ser usado por todos los tiles 
    -- asociados a esta plantilla en una misma petición.
  --%>
  <tiles:useAttribute name="url" scope="request"/>
  <div id="container">
    <div id="header">
      <tiles:insert attribute="header"/>
	</div>	
    <div id="nav">
      <tiles:insert attribute="nav"/>
	</div>
	<div id="content">
      <div class="prop min600px"></div>
      <tiles:insert attribute="content"/>
      <div id="footer">
        <tiles:insert attribute="footer"/>
      </div>
      <div class="clear"></div>
	</div>
  </div>
</body>
</html:html>	