<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <bean:message key="menu.admon.asociaciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.asociaciones.index.titulo"/></h1>
</div>

<p><bean:message key="admon.asociaciones.index.intro"/></p>

<p>
<html:link action="/admon/asociaciones/nuevo"><bean:message key="admon.asociaciones.index.insertar"/></html:link>
| <html:link action="/admon/index"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaAsociaciones">
<!-- Displaytag -->
<display:table class="displaytag" name="listaAsociaciones" id="asociacion" requestURI="/codetic/admon/asociaciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column group="1" sortable="true" titleKey="forms.AsociacionForm.campos.idAmbito">${mapAmbitos[asociacion.idAmbito].nombreAdmon}</display:column>
  <display:column sortable="true" maxLength="50" titleKey="forms.AsociacionForm.campos.nombre">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></display:column>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/asociaciones/editar?idAsociacion=${asociacion.idAsociacion}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/asociaciones/eliminar?idAsociacion=${asociacion.idAsociacion}" onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
    <html:link action="/admon/asociaciones/traducciones/index?idAsociacion=${asociacion.idAsociacion}"><html:img srcKey="img.traducciones" titleKey="admon.tabla.traducciones"/></html:link>
    <html:link action="/admon/codigos/index?idAsociacion=${asociacion.idAsociacion}"><html:img srcKey="img.codigos" titleKey="admon.tabla.codigos"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaAsociaciones">
  <p><bean:message key="admon.asociaciones.index.ninguno"/></p>
</logic:empty>

<br/>
