<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <bean:message key="menu.admon.codigos.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.codigos"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></span></p>
</div>

<p><bean:message key="admon.codigos.index.intro"/></p>

<p>
<html:link action="/admon/codigos/nuevo?idAsociacion=${idAsociacion}"><bean:message key="admon.codigos.index.insertar"/></html:link>
| <html:link action="/admon/asociaciones/index"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaCodigosAsociacion">
<!-- Displaytag -->
<display:table class="displaytag" name="listaCodigosAsociacion" id="codigo" requestURI="/codetic/admon/codigos/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="tituloOriginal" sortable="true" maxLength="50" titleKey="forms.CodigoForm.campos.tituloOriginal"/>
  <display:column property="anyoAprobacion" sortable="true" maxLength="50" titleKey="forms.CodigoForm.campos.anyoAprobacion"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/codigos/editar?idAsociacion=${idAsociacion}&idCodigo=${codigo.idCodigo}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/codigos/eliminar?idAsociacion=${idAsociacion}&idCodigo=${codigo.idCodigo}" onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
    <html:link action="/admon/codigos/traducciones/index?idAsociacion=${idAsociacion}&idCodigo=${codigo.idCodigo}"><html:img srcKey="img.traducciones" titleKey="admon.tabla.traducciones"/></html:link>
    <html:link action="/admon/codigos/secciones/index?idAsociacion=${idAsociacion}&idCodigo=${codigo.idCodigo}"><html:img srcKey="img.secciones" titleKey="admon.tabla.secciones"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaCodigosAsociacion">
  <p><bean:message key="admon.codigos.index.ninguno"/></p>
</logic:empty>

<br/>
