<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <bean:message key="menu.admon.codigos.nuevo"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.codigos"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></span></p>
</div>

<h3><bean:message key="admon.codigos.nuevo.titulo"/></h3>

<%-- Mostrar errores --%>
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/codigos/crear" focus="idAmbito" enctype="text/plain;charset=UTF-8" >
  <html:hidden property="idAsociacion" value="${idAsociacion}"/>
  <table class="form">
    <tr>
      <th>
        <label for="tituloOriginal"><bean:message key="forms.CodigoForm.campos.tituloOriginal"/>*</label>
      </th>
      <td>
        <html:text property="tituloOriginal" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="web"><bean:message key="forms.CodigoForm.campos.web"/></label>
      </th>
      <td>
        <html:text property="web" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr>
      <th>
        <label for="anyoAprobacion"><bean:message key="forms.CodigoForm.campos.anyoAprobacion"/></label>
      </th>
      <td>
        <html:text property="anyoAprobacion" size="4" maxlength="4"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.continuar"/></html:submit>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>