<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>
<html:xhtml/>

<%-- Beans --%>
<bean:parameter id="idAsociacion" name="idAsociacion"/>
<bean:parameter id="idCodigo" name="idCodigo"/>
<bean:parameter id="nivel" name="nivel"/>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/asociaciones/index"><bean:message key="menu.admon.asociaciones.index"/></html:link>
> <html:link action="/admon/codigos/index?idAsociacion=${idAsociacion}"><bean:message key="menu.admon.codigos.index"/></html:link>
> <html:link action="/admon/codigos/secciones/index?idAsociacion=${idAsociacion}&idCodigo=${idCodigo}"><bean:message key="menu.admon.codigos.secciones.index"/></html:link>
> <bean:message key="menu.traducciones.index"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="palabra.traducciones"/></h1>
<p><bean:message key="palabra.de"/> <span class="negrita">[${seccion.nivel}] ${seccion.nombreAdmon}</span>, ${codigo.tituloOriginal}, ${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></p>
</div>

<p><bean:message key="admon.codigos.secciones.traducciones.index.intro"/></p>

<p>
<html:link action="/admon/codigos/secciones/traducciones/nuevo?idAsociacion=${idAsociacion}&idCodigo=${seccion.idCodigo}&nivel=${seccion.nivel}"><bean:message key="admon.codigos.secciones.traducciones.index.insertar"/></html:link>
| <html:link action="/admon/codigos/secciones/index?idCodigo=${seccion.idCodigo}&idAsociacion=${idAsociacion}"><bean:message key="prompt.volver"/></html:link>
</p>

<logic:notEmpty name="listaTraduccionesSeccion">
<display:table class="displaytag" name="listaTraduccionesSeccion" id="tradSeccion" requestURI="/codetic/admon/codigos/secciones/traducciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column property="idIdioma" titleKey="forms.TraduccionSeccionForm.campos.idIdioma"/>
  <display:column property="titulo" maxLength="25" titleKey="forms.TraduccionSeccionForm.campos.titulo"/>
  <display:column property="seudotitulo" maxLength="25" titleKey="forms.TraduccionSeccionForm.campos.seudotitulo"/>
  <display:column property="texto" maxLength="25" titleKey="forms.TraduccionSeccionForm.campos.texto"/>
  <display:column titleKey="admon.tabla.acciones">
    <html:link action="/admon/codigos/secciones/traducciones/editar?idIdioma=${tradSeccion.idIdioma}&nivel=${tradSeccion.nivel}&idCodigo=${tradSeccion.idCodigo}&idAsociacion=${idAsociacion}"><html:img srcKey="img.editar" titleKey="admon.tabla.editar"/></html:link>
    <html:link action="/admon/codigos/secciones/traducciones/eliminar?idIdioma=${tradSeccion.idIdioma}&nivel=${tradSeccion.nivel}&idCodigo=${tradSeccion.idCodigo}&idAsociacion=${idAsociacion}"  onclick="return confirmarEliminacion()"><html:img srcKey="img.eliminar" titleKey="admon.tabla.eliminar"/></html:link>
  </display:column>    
</display:table>
</logic:notEmpty>
<script type="text/javascript">
<!--
function confirmarEliminacion(){
    return confirm('<bean:message key="prompt.confirmar.eliminacion"/>');
  }
-->
</script>

<logic:empty name="listaTraduccionesSeccion">
  <p><bean:message key="admon.codigos.secciones.traducciones.index.ninguno"/></p>
</logic:empty>

<br/>