<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/admon/index"><bean:message key="menu.admon.index"/></html:link>
> <html:link action="/admon/temas/index"><bean:message key="menu.admon.temas.index"/></html:link>
> <bean:message key="menu.admon.temas.editar"/>
</p>
</div>

<div class="titulo">
<h1><bean:message key="admon.temas.index.titulo"/></h1>
</div>

<h3><bean:message key="admon.temas.editar.titulo"/></h3>

<%-- Mostrar errores --%>
<logic:messagesPresent>
  <div id="errores">
    <html:img srcKey="img.error" width="14" height="13"/> <p><bean:message key="forms.errores"/></p>
    <ul>
    <html:messages id="error">
      <li><bean:write name="error"/></li>
    </html:messages>
    </ul>
  </div>
  <br/>
</logic:messagesPresent>

<html:form action="/admon/temas/actualizar" focus="nombreAdmon" enctype="text/plain;charset=UTF-8" >
  <html:hidden name="tema" property="idTema"/>
  <table class="form">
    <tr>
      <th>
        <label for="idGrupoDeTemas"><bean:message key="forms.TemaForm.campos.idGrupoDeTemas"/>*</label>
      </th>
      <td>
        <html:select name="tema" property="idGrupoDeTemas">
          <html:options collection="listaGruposDeTemas" property="idGrupoDeTemas" labelProperty="nombreAdmon"/>
        </html:select>
      </td>
    </tr>
    <tr>
      <th>
        <label for="nombreAdmon"><bean:message key="forms.TemaForm.campos.nombreAdmon"/>*</label>
      </th>
      <td>
        <html:text name="tema" property="nombreAdmon" maxlength="255" size="50"/>
      </td>
    </tr>
    <tr class="botones">
      <td>        
      </td>
      <td>
        <html:submit property="accion"><bean:message key="forms.botones.aceptar"/></html:submit>
        <html:cancel property="accion"><bean:message key="forms.botones.cancelar"/></html:cancel>
      </td>
    </tr>
  </table>
</html:form>

<p class="small"><bean:message key="frase.camposConAsterisco"/></p>

<br/>