<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/display" prefix="display" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ page isELIgnored="false"%>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <bean:message key="menu.asocsycods"/>
</p>
</div>

${texto}

<h1><bean:message key="asociaciones.titulo"/></h1>

<p><bean:message key="asociaciones.ordenar"/> <html:link styleClass="azul" action="/asociaciones?orden=alfabetico"><bean:message key="asociaciones.ordenAlfabetico"/></html:link> | <html:link styleClass="azul" action="/asociaciones?orden=geografico"><bean:message key="asociaciones.ordenGeografico"/></html:link></p>

<%-- Por defecto (accion=null), orden alfabético --%>
<c:if test="${(param.orden == 'alfabetico') || (param.orden == null)}">
<ul>
  <c:forEach var="asociacion" items="${listaAsociaciones}">
  <li><html:link action="/infoAsociacion?idAsociacion=${asociacion.idAsociacion}">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></html:link></li>
  </c:forEach>
</ul>
</c:if>

<c:if test="${param.orden == 'geografico'}">
<c:forEach var="entrada" items="${mapTraduccionesAmbitosYAsociaciones}">
<c:set var="tradAmbito" value="${entrada.key}"/>
<c:set var="asociaciones" value="${entrada.value}"/>
<h3>${tradAmbito.nombre}</h3>
<ul>
  <c:forEach var="asociacion" items="${asociaciones}">
  <li><html:link action="/infoAsociacion?idAsociacion=${asociacion.idAsociacion}">${asociacion.nombre} <c:if test="${not empty asociacion.siglas}">(${asociacion.siglas})</c:if></html:link></li>
  </c:forEach>
</ul>
</c:forEach>
</c:if>

<br/>

<%--
<display:table class="displaytag" name="listaAsociaciones" id="asociacion" requestURI="/codetic/admon/asociaciones/index.do" defaultorder="ascending" defaultsort="1">
  <display:column group="1" sortable="true" titleKey="asociaciones.ambito">${mapAmbitos[asociacion.idAmbito].nombreAdmon}</display:column>
  <display:column sortable="true" maxLength="50" titleKey="asociaciones.asociacion"><html:link page="#">${asociacion.nombre} (${asociacion.siglas})</html:link></display:column>
</display:table>
--%>