<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/c" prefix="c" %>
<%@ taglib uri="/tags/fn" prefix="fn" %>
<%@ taglib uri="/tags/t2h" prefix="t2h" %>
<%@ page isELIgnored="false"%>

<%-- Información sobre el código e Índice --%>
<div id="right">

  <div id="info_codigo">
  <h3>&nbsp;<bean:message key="verCodigo.infoCodigo"/></h3>
  <div id="info_codigo_content">
    <div id="info_codigo_content_item">
      <span class="negrita_gris"><bean:message key="verCodigo.asociacion"/><br /></span><html:link action="/infoAsociacion?idAsociacion=${codigo.idAsociacion}">${asociacion.nombre}</html:link><br />
    </div>
    <div id="info_codigo_content_item">
      <span class="negrita_gris"><bean:message key="verCodigo.aprobacion"/></span><br />
      <c:if test="${not empty codigo.anyoAprobacion}">
      ${codigo.anyoAprobacion}
      </c:if>
      <c:if test="${empty codigo.anyoAprobacion}">
      <bean:message key="verCodigo.noDisponible"/>
      </c:if>
      <br />
    </div>
    <div id="info_codigo_content_item">
      <span class="negrita_gris"><bean:message key="verCodigo.web"/></span><br />
      <c:if test="${not empty codigo.web}">
      &#187; <a href="${codigo.web}"><bean:message key="verCodigo.visitar"/></a>
      </c:if>
      <c:if test="${empty codigo.web}">
      <bean:message key="verCodigo.noDisponible"/>
      </c:if>
      <br />
    </div>
    <%--
    <c:if test="${fn:length(listaTraduccionesCodigo) > 1}">
    <div id="info_codigo_content_item">
      <span class="negrita_gris"><bean:message key="verCodigo.otrasTraducciones"/></span>
      <c:forEach var="tradCodigo" items="${listaTraduccionesCodigo}">
        <c:if test="${tradCodigo.idIdioma != traduccionCodigo.idIdioma}">
          <html:link styleClass="traduccionSmall" action="/verCodigo?idCodigo=${tradCodigo.idCodigo}&idIdioma=${tradCodigo.idIdioma}" titleKey="idioma.${tradCodigo.idIdioma}">${tradCodigo.idIdioma}</html:link> 
        </c:if>
      </c:forEach>
      <br />
    </div>
    </c:if>
    --%>
    <%--
    <div id="info_codigo_content_item">
      &#187; <a href="${codigo.web}"><bean:message key="verCodigo.visitar"/></a><br />
    </div>
    --%>
  </div>
  </div>
  
</div>

<div id="breadcrumb">
<p>
<html:link action="/index"><bean:message key="menu.index"/></html:link>
> <html:link action="/asociaciones?orden=alfabetico"><bean:message key="menu.asocsycods"/></html:link>
> <html:link action="/infoAsociacion?idAsociacion=${codigo.idAsociacion}">${asociacion.nombre}</html:link>
> <html:link action="/verCodigo?idCodigo=${codigo.idCodigo}&idIdioma=${traduccionSeccion.idIdioma}">${codigo.tituloOriginal} (${traduccionCodigo.idIdioma})</html:link>
</p>
</div>

<%--
<h1 class="negro">${traduccionCodigo.titulo}</h1>
--%>

<h1 class="negro">${traduccionSeccion.titulo}</h1>

<t2h:text2html>${traduccionSeccion.texto}</t2h:text2html>

<p>[<html:link action="/verCodigo?idCodigo=${codigo.idCodigo}&idIdioma=${traduccionSeccion.idIdioma}"><bean:message key="verArticulo.verCodigo"/></html:link>]</p>
     
<br/>